### Constructor

# Dex Future new_infinite

since: 0.4

#### Declaration [src]

    DexFuture*
    dex_future_new_infinite (
      void
    )

#### Description [src]

Creates an infinite future that will never resolve or reject. This can be useful when you want to mock a situation of “run forever” unless another future rejects or resolves.

Available since: 0.4

#### Return value

Type: `DexFuture`

A `DexFuture` that will never complete or reject.

The caller of the function takes ownership of the data, and is responsible for freeing it.